﻿using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Kivii.EmailPools.Entities
{
    [Api(Description = "邮箱配置")]
    [Alias(Configs.TableNameSmtpConfig)]
    public class SmtpConfig: EntityWithMetadata, IEntityInAssemblyDb
    {
        [ApiMember(Description = "配置名称")]
        [StringLength(200)]
        public string Title { get; set; }

        [ApiMember(Description = "内部编码")]
        [Unique]
        [StringLength(200)]
        public string InternalCode { get; set; }

        [ApiMember(Description = "默认配置")]
        public bool IsDefault { get; set; }

        [ApiMember(Description = "描述")]
        [StringLength(500)]
        public string Description { get; set; }

        [ApiMember(Description = "smtp服务地址")]
        [StringLength(300)]
        public string SmtpUrl { get; set; }

        [ApiMember(Description = "邮箱地址")]
        [Unique]
        [StringLength(300)]
        public string Address { get; set; }

        [ApiMember(Description = "邮箱友好名称")]
        [StringLength(300)]
        public string Name { get; set; }

        [ApiMember(Description = "邮箱账号")]
        [StringLength(300)]
        public string UserId { get; set; }

        [ApiMember(Description = "邮箱密码")]
        [StringLength(300)]
        public string Password { get; set; }

        [ApiMember(Description = "摘要")]
        [StringLength(1000)]
        public string Summary { get; set; }

        [ApiMember(Description = "备注")]
        [StringLength(2000)]
        public string Remark { get; set; }
    }
}
